org.glassfish.jersey.server.spi

## Interface ValidationInterceptorContext

    public interface ValidationInterceptorContext

Context for resource method validation interception processing (see `ValidationInterceptor`). The context gives access to key validation data. It also allows interceptor implementation to tweak resource and/or parameters that are going to be validated.

Since:
  2.18
Author:
  Jakub Podlesak
See Also:
  `ValidationInterceptor`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object[]` `getArgs()` Provide method parameters for which validation will be done.
`Invocable` `getInvocable()` Provide invocable for which validation will been done.
`Object` `getResource()` Provide actual resource instance that will get validated.
`void` `proceed()` Proceed with validation.
`void` `setArgs(Object[] args)` Method parameters setter.
`void` `setResource(Object resource)` Setter for resource instance that should get validated.

### Method Detail

#### getResource

    Object getResource()

Provide actual resource instance that will get validated.

Returns:
  current resource instance.

#### setResource

    void setResource(Object resource)

Setter for resource instance that should get validated.

Parameters:
  `resource` - instance to validate

#### getInvocable

    Invocable getInvocable()

Provide invocable for which validation will been done.

Returns:
  actual invocable instance.

#### getArgs

    Object[] getArgs()

Provide method parameters for which validation will be done.

Returns:
  actual method parameters.

#### setArgs

    void setArgs(Object[] args)

Method parameters setter.

Parameters:
  `args` - method parameters to be used for validation.

#### proceed

    void proceed()
          throws jakarta.validation.ValidationException

Proceed with validation. This method must be invoked by a validation interceptor implementation.

Throws:
  `jakarta.validation.ValidationException` - in case the further validation processing failed with a validation error.